Get all key pages
curl --request GET \
--url https://api.kameleoon.com/key-pages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kameleoon.com/key-pages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kameleoon.com/key-pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"id": 123,
"matchType": "<string>",
"modificationDate": "2023-11-07T05:31:56Z",
"relativeUrlRegExp": "<string>",
"secondMatchType": "<string>",
"siteId": 123,
"totalCount": 123
}
]{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}KeyPage
Get all key pages
Get a list of all key pages. For more information on paramsIO refer to the Get started article, and see the Using paramsIO tutorial for practical use cases.
GET
/
key-pages
Get all key pages
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Show child attributes
Show child attributes
Response
OK
Name of the key page
Date and time a key page is created
Unique Id of the key page
Matching type for the given key page
Date and time a key page is modified
Regular expression for the relative URL
Second matching type for the given key page (if needed)
Site Id of the project the key page belongs to
Number of impressions for the key page
Was this page helpful?
⌘I